---
id: 61a5d7ef1cfcf45764df07a2
title: Step 70
challengeType: 0
dashedName: step-70
---

# --description--

Now that the markers have the correct colors, it's time to build the marker sleeves. Start with the red marker.

Inside the red marker `div` element, create a new `div` element and give it a class of `sleeve`.

# --hints--

Your new `div` element should be within the red marker's `div` element.

```js
const redMarkerChildren = [...document.querySelector('.red')?.children];
assert(redMarkerChildren.every(child => child?.localName === 'div') && redMarkerChildren.length === 1);
```

Your new `div` element should have a class of `sleeve`.

```js
const redMarkerChild = [...document.querySelector('.red')?.children][0];
assert(redMarkerChild?.classList?.contains('sleeve'));
```

# --seed--

## --seed-contents--

```html
<!DOCTYPE html>
<html lang="en">
  <head>
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Colored Markers</title>
    <link rel="stylesheet" href="styles.css">
  </head>
  <body>
    <h1>CSS Color Markers</h1>
    <div class="container">
      --fcc-editable-region--
      <div class="marker red">
      </div>
      --fcc-editable-region--
      <div class="marker green">
      </div>
      <div class="marker blue">
      </div>
    </div>
  </body>
</html>
```

```css
h1 {
  text-align: center;
}

.container {
  background-color: rgb(255, 255, 255);
  padding: 10px 0;
}

.marker {
  width: 200px;
  height: 25px;
  margin: 10px auto;
}

.red {
  background: linear-gradient(rgb(122, 74, 14), rgb(245, 62, 113), rgb(162, 27, 27));
}

.green {
  background: linear-gradient(#55680D, #71F53E, #116C31);
}

.blue {
  background: linear-gradient(hsl(186, 76%, 16%), hsl(223, 90%, 60%), hsl(240, 56%, 42%));
}

```
